<?php

class Usuarios{

function cad_user(){
	
	global $database;
	
	if(isset($_POST['submit'])){
		
		$nome = $_POST['nome'];
		$email = $_POST['email'];
		$senha = $_POST['senha'];
		$salt = "euamoprogramacao";
		$senha_crypt = crypt($senha,$salt);
		$nivel = $_POST['nivel'];
		$foto = $_FILES['foto']['name'];
		$foto_tmp = $_FILES['foto']['tmp_name'];
		move_uploaded_file($foto_tmp,"img/$foto");
		
		
		$consulta = "SELECT * FROM usuarios WHERE nome='$nome' || email='$email'";
		$link = mysqli_query($con,$consulta);
		$contar = mysqli_num_rows($link);

      if($contar == 1){
		  
		  $_SESSION['status'] = "Este usuario ja encontra se cadastrado";
		  $_SESSION['status_code'] = 'warning';
		  echo "<script>window.open('cadastrar_user.php','_self')</script>";
	  
	  }else{
		  
		  
		  $insere = "INSERT INTO usuarios(nome,email,senha,nivel,foto,status)
		            VALUES('$nome','$email','$senha_crypt','$nivel','$foto','Activo')";
			$query = mysqli_query($con,$insere);
			
			if($query){
				
				echo "<script>alert('Usuario Cadastrado com sucesso')</script>";
				echo "<script>window.open('cadastrar_user.php','_self')</script>";
			
			}else{
				
				echo "<script>alert('Ocorreu um erro tente novamente')</script>";
				echo "<script>window.open('cadastrar_user.php','_self')</script>";
				
			}
	  }		
	
	}

}

public function busca_users(){	
	global $database;
	
	$selec = $database->query("SELECT * FROM usuarios");
	while($row = $database->fetch_assoc($selec)){
		$id_user = $row['id_user'];
		$nome = $row['nome'];		
		echo "<option value='$id_user'>$nome</option>";
	}
	
}

}
$usuario = new Usuarios();